// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.Gui.OptionPanels {
    
    
    internal partial class AuthorInformationPanelWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.CheckButton checkCustom;
        
        private Gtk.Alignment alignment1;
        
        private Gtk.Table infoTable;
        
        private Gtk.Entry copyrightEntry;
        
        private Gtk.Entry emailEntry;
        
        private Gtk.Label label2;
        
        private Gtk.Label label3;
        
        private Gtk.Label label4;
        
        private Gtk.Entry nameEntry;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget";
            // Container child MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.checkCustom = new Gtk.CheckButton();
            this.checkCustom.CanFocus = true;
            this.checkCustom.Name = "checkCustom";
            this.checkCustom.Label = Mono.Unix.Catalog.GetString("_Use custom author information for this solution");
            this.checkCustom.DrawIndicator = true;
            this.checkCustom.UseUnderline = true;
            this.vbox1.Add(this.checkCustom);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox1[this.checkCustom]));
            w1.Position = 1;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment1 = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.alignment1.Name = "alignment1";
            this.alignment1.LeftPadding = ((uint)(24));
            // Container child alignment1.Gtk.Container+ContainerChild
            this.infoTable = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.infoTable.Name = "infoTable";
            this.infoTable.RowSpacing = ((uint)(6));
            this.infoTable.ColumnSpacing = ((uint)(6));
            // Container child infoTable.Gtk.Table+TableChild
            this.copyrightEntry = new Gtk.Entry();
            this.copyrightEntry.CanFocus = true;
            this.copyrightEntry.Name = "copyrightEntry";
            this.copyrightEntry.IsEditable = true;
            this.copyrightEntry.InvisibleChar = '●';
            this.infoTable.Add(this.copyrightEntry);
            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.infoTable[this.copyrightEntry]));
            w2.TopAttach = ((uint)(2));
            w2.BottomAttach = ((uint)(3));
            w2.LeftAttach = ((uint)(1));
            w2.RightAttach = ((uint)(2));
            w2.YOptions = ((Gtk.AttachOptions)(4));
            // Container child infoTable.Gtk.Table+TableChild
            this.emailEntry = new Gtk.Entry();
            this.emailEntry.CanFocus = true;
            this.emailEntry.Name = "emailEntry";
            this.emailEntry.IsEditable = true;
            this.emailEntry.InvisibleChar = '●';
            this.infoTable.Add(this.emailEntry);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.infoTable[this.emailEntry]));
            w3.TopAttach = ((uint)(1));
            w3.BottomAttach = ((uint)(2));
            w3.LeftAttach = ((uint)(1));
            w3.RightAttach = ((uint)(2));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child infoTable.Gtk.Table+TableChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.Xalign = 0F;
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("_Name:");
            this.label2.UseUnderline = true;
            this.infoTable.Add(this.label2);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.infoTable[this.label2]));
            w4.XOptions = ((Gtk.AttachOptions)(4));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child infoTable.Gtk.Table+TableChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("_Copyright:");
            this.label3.UseUnderline = true;
            this.infoTable.Add(this.label3);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.infoTable[this.label3]));
            w5.TopAttach = ((uint)(2));
            w5.BottomAttach = ((uint)(3));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child infoTable.Gtk.Table+TableChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.Xalign = 0F;
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("_Email:");
            this.label4.UseUnderline = true;
            this.infoTable.Add(this.label4);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.infoTable[this.label4]));
            w6.TopAttach = ((uint)(1));
            w6.BottomAttach = ((uint)(2));
            w6.XOptions = ((Gtk.AttachOptions)(4));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child infoTable.Gtk.Table+TableChild
            this.nameEntry = new Gtk.Entry();
            this.nameEntry.CanFocus = true;
            this.nameEntry.Name = "nameEntry";
            this.nameEntry.IsEditable = true;
            this.nameEntry.InvisibleChar = '●';
            this.infoTable.Add(this.nameEntry);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.infoTable[this.nameEntry]));
            w7.LeftAttach = ((uint)(1));
            w7.RightAttach = ((uint)(2));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            this.alignment1.Add(this.infoTable);
            this.vbox1.Add(this.alignment1);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment1]));
            w9.Position = 2;
            w9.Expand = false;
            w9.Fill = false;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label2.MnemonicWidget = this.nameEntry;
            this.Hide();
            this.checkCustom.Toggled += new System.EventHandler(this.UseDefaultToggled);
        }
    }
}
